Get Salary Period Lock Status
Return the lock date of the unit's salary period.
This API call is part of the Locked Salary Period feature. This call returns the lock date of the unit which has the specified apiKey. Returns nothing if there is no lock period for that unit.
Request
apiKeystring
API key of the unit.
curl -X POST 'https://api.quinyx.com/FlexForceWebServices.php' \
-H 'Content-Type: text/xml; charset=utf-8' \
-H 'SOAPAction: "uri:FlexForce/getSalaryPeriodLockStatus"' \
--data @- <<'EOF'
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
<soap:Body>
<tns:wsdlGetSalaryPeriodLockStatus>
<apiKey xsi:type="xsd:string">string</apiKey>
</tns:wsdlGetSalaryPeriodLockStatus>
</soap:Body>
</soap:Envelope>
EOFResponse
returnstring
The unit's salary-period lock date, or empty when no lock period is set.
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
<soap:Body>
<tns:wsdlGetSalaryPeriodLockStatusResponse>
<return xsi:type="xsd:string">string</return>
</tns:wsdlGetSalaryPeriodLockStatusResponse>
</soap:Body>
</soap:Envelope>